Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils
Class FileUtils

    java.lang.Object
      org.mindswap.pellet.utils.FileUtils

    public class FileUtils

extends java.lang.Object

Constructor Summary
`FileUtils()`

Method Summary
`static boolean` | `exists(java.lang.String file)`
`static java.lang.String` | `readAll(java.io.Reader reader)`
`static java.lang.String` | `readFile(java.io.File file)`
`static java.lang.String` | `readFile(java.lang.String fileName)`
`static java.lang.String` | `readURL(java.net.URL fileURL)`
`static java.lang.String` | `toURI(java.lang.String fileName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### exists

    public static boolean exists(java.lang.String file)

### readURL

    public static java.lang.String readURL(java.net.URL fileURL)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFile

    public static java.lang.String readFile(java.io.File file)
                                     throws java.io.FileNotFoundException,
                                            java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### readFile

    public static java.lang.String readFile(java.lang.String fileName)
                                     throws java.io.FileNotFoundException,
                                            java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### readAll

    public static java.lang.String readAll(java.io.Reader reader)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### toURI

    public static java.lang.String toURI(java.lang.String fileName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.